CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

Help in Instalation of OpenFOAM

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   March 9, 2009, 06:36
Default I download the 2 packs from th
  #1
New Member
 
Duarte Albuquerque
Join Date: Mar 2009
Posts: 4
Rep Power: 8
duartealbuquerque is on a distinguished road
I download the 2 packs from the site http://www.opencfd.co.uk/openfoam/.

I follow the instructions in the readme file.

but i still have 2 critical erros than I run ./foamInstalationTest function in the console:

Third party software
-------------------------------------------------------------------------------
Software Version Location
-------------------------------------------------------------------------------
WARNING: gcc version does not match gcc supplied with this release of OpenFOAM
Supplied version: 4.3.1
User version : ../src/configure
4.3.2
Minimum required: 4.2.0

gcc ...figure
WARNING: Conflicting installations:
OpenFOAM settings : /home/dmsa/OpenFOAM/ThirdParty/gcc-4.3.1/platforms/linux64/bin/gcc
current path : /usr/bin/gcc
CRITICAL ERROR

gzip 1.3.12 /bin/gzip
tar 1.20 /bin/tar
icoFoam
WARNING: Conflicting installations:
OpenFOAM settings : /home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/bin/linux64GccDPOpt/icoFoam
current path :
CRITICAL ERROR

-------------------------------------------------------------------------------


Checking networking...
-------------------------------------------------------------------------------
Action Result Crit
-------------------------------------------------------------------------------
Pinging_dilbert Successful yes
Pinging_localHost Successful yes
Test_rsh: Unsuccessful_connection_refused* yes
Test_ssh: Successful yes
(*) Only one of rsh or ssh is required by the OpenFOAM enviroment.

-------------------------------------------------------------------------------

Base configuration ok.

The foam installation contains 2 critical error(s).

Review the output for warning messages and consult
the installation guide for trouble shooting.

done.

I try to change the gcc path by editing the following file OpenFOAM-1.5/etc/settings.sh

"#WM_COMPILER_INST=OpenFOAM
WM_COMPILER_INST=System"

I also try to make ./Allmake but it has to much erros:

collect2: ld returned 1 exit status
make[3]: *** [/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/bin/linux64GccDPOpt/pPrime2] Error 1
make[3]: Leaving directory `/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/scalarFi eld/pPrime2'
make[2]: *** [pPrime2] Error 2
make[2]: Target `application' not remade because of errors.
make[2]: Leaving directory `/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/scalarFi eld'
make[1]: *** [scalarField] Error 2
make[2]: Entering directory `/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/stressFi eld'
make[3]: Entering directory `/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/stressFi eld/stressComponents'
Making dependency list for source file stressComponents.C
make[3]: Leaving directory `/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/stressFi eld/stressComponents'
make[3]: Entering directory `/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/stressFi eld/stressComponents'
SOURCE=stressComponents.C ; g++ -m64 -Dlinux64 -DDP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -march=opteron -O3 -DNoRepository -ftemplate-depth-40 -I/home/dmsa/OpenFOAM/OpenFOAM-1.5/src/finiteVolume/lnInclude -I/home/dmsa/OpenFOAM/OpenFOAM-1.5/src/turbulenceModels/RAS -I/home/dmsa/OpenFOAM/OpenFOAM-1.5/src/transportModels -IlnInclude -I. -I/home/dmsa/OpenFOAM/OpenFOAM-1.5/src/OpenFOAM/lnInclude -I/home/dmsa/OpenFOAM/OpenFOAM-1.5/src/OSspecific/Unix/lnInclude -fPIC -c $SOURCE -o Make/linux64GccDPOpt/stressComponents.o
g++ -m64 -Dlinux64 -DDP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -march=opteron -O3 -DNoRepository -ftemplate-depth-40 -I/home/dmsa/OpenFOAM/OpenFOAM-1.5/src/finiteVolume/lnInclude -I/home/dmsa/OpenFOAM/OpenFOAM-1.5/src/turbulenceModels/RAS -I/home/dmsa/OpenFOAM/OpenFOAM-1.5/src/transportModels -IlnInclude -I. -I/home/dmsa/OpenFOAM/OpenFOAM-1.5/src/OpenFOAM/lnInclude -I/home/dmsa/OpenFOAM/OpenFOAM-1.5/src/OSspecific/Unix/lnInclude -fPIC Make/linux64GccDPOpt/stressComponents.o -L/home/dmsa/OpenFOAM/OpenFOAM-1.5/lib/linux64GccDPOpt \
-lfiniteVolume -lincompressibleRASModels -lincompressibleTransportModels -lOpenFOAM -liberty -ldl -lm -o /home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/bin/linux64GccDPOpt/stressComponen ts
/usr/bin/ld: cannot find -liberty
collect2: ld returned 1 exit status
make[3]: *** [/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/bin/linux64GccDPOpt/stressCompone nts] Error 1
make[3]: Leaving directory `/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/stressFi eld/stressComponents'
make[2]: *** [stressComponents] Error 2
make[2]: Target `application' not remade because of errors.
make[2]: Leaving directory `/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/stressFi eld'
make[1]: *** [stressField] Error 2
make[1]: Target `application' not remade because of errors.
make[1]: Leaving directory `/home/dmsa/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing'
make: *** [postProcessing] Error 2
make: Target `application' not remade because of errors.
duartealbuquerque is offline   Reply With Quote

Old   March 9, 2009, 08:04
Default Hei Duarte Albuquerque yo
  #2
Member
 
Nugroho Adi
Join Date: Mar 2009
Location: norway
Posts: 79
Rep Power: 8
mahaputra is on a distinguished road
Hei Duarte Albuquerque


you should try this one :

http://www.cfd-online.com/OpenFOAM_D...tml?1234975312


Regarding the script:

1.Just copy all the contents and put it in to a file.

2. then change the file to an executable file using chmod a+x file name.

3.then execute the file from the command line as this

./filename

this will go to the corresponding website and download the software and will ask you for password before installing it.


http://www.cfd-online.com/OpenFOAM_D...tml?1232888756



Regards

Nugroho Adi
mahaputra is offline   Reply With Quote

Old   March 11, 2009, 12:53
Default Tkx for the info now i have
  #3
New Member
 
Duarte Albuquerque
Join Date: Mar 2009
Posts: 4
Rep Power: 8
duartealbuquerque is on a distinguished road
Tkx for the info

now i have access to the icoFoam and blockMesh functions.

I still have a problem with paraFoam its says I don't a reader for the File cavity.OpenFOAM

Also if I run the "foamInstalationtest" it shows a critical error.

Third party software
-------------------------------------------------------------------------------
Software Version Location
-------------------------------------------------------------------------------
WARNING: gcc version does not match gcc supplied with this release of OpenFOAM
Supplied version: 4.3.1
User version : ../src/configure
4.3.2
Minimum required: 4.2.0

gcc ...figure
WARNING: Conflicting installations:
OpenFOAM settings : /bin/gcc
current path : /usr/bin/gcc
CRITICAL ERROR

gzip 1.3.12 /bin/gzip
tar 1.20 /bin/tar
icoFoam 1.5 .../OpenFOAM-1.5/applications/bin/linux64GccDPOpt/icoFoam
-------------------------------------------------------------------------------


Checking networking...
-------------------------------------------------------------------------------
Action Result Crit
-------------------------------------------------------------------------------
Pinging_dilbert Successful yes
Pinging_localHost Successful yes
Test_rsh: Unsuccessful_connection_refused* yes
Test_ssh: Successful yes
(*) Only one of rsh or ssh is required by the OpenFOAM enviroment.

-------------------------------------------------------------------------------

Base configuration ok.

The foam installation contains 1 critical error(s).

Review the output for warning messages and consult
the installation guide for trouble shooting.

done.


any solutions? tkx for the help
duartealbuquerque is offline   Reply With Quote

Old   March 12, 2009, 00:44
Default Hi Duarte, The critical err
  #4
Senior Member
 
Prapanch Nair
Join Date: Mar 2009
Location: Bangalore, India
Posts: 105
Rep Power: 8
prapanj is on a distinguished road
Hi Duarte,

The critical error is OK. It is because you are not installing it actively while being connected to the openFOAM's server. You have downloaded files and installed. That is why it shows the error. You should still be able to use OF without any issue.

You have some issue with your Qt version, hence not able to view Foam files in paraview. Instead you can do the following:

after running your case, for example icofoam, run foamToVTK in the same directory. Now you will see a new folder called VTK created. Now type paraFoam. You will get the same error message. Click cancel. Go to file->open, open the folder called VTK. You will have a file called cavity.vtk. Double click on it. The rest will work as explained in your User's Guide. Hope this helps.

Prapanj
prapanj is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Instalation on ubuntu 710 basilwatson OpenFOAM Installation 17 March 16, 2012 21:16
Help with parallel working instalation. Jonathan FLUENT 9 November 8, 2011 00:25
141 Instalation on Fedora Core 8 with Pentium 4 markozeta OpenFOAM Installation 0 April 16, 2008 19:52
Comet Instalation Merkru CD-adapco 0 June 12, 2006 03:31
cfx-4.2 or cfx-4.3 instalation Antonio Melendez CFX 1 June 28, 2001 03:58


All times are GMT -4. The time now is 04:09.